import { message } from 'antd';

import { routerRedux } from 'dva/router'

export default {
  namespace: 'PageData',
  state: {
    pageData: null,
  },

  reducers: {
    returnPageData(state, { pageData }) {
      return { ...state, pageData };
    },
  },

  effects: {
    
    //页面处理
    *PAGE({playload}, {put}) {      
      let pageData = playload;
      console.log("页面处理")
      yield put({ type: 'returnPageData', pageData, });
    },
    
  },
};
